<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>tips-for-becoming-a-better-developer</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="get-good-at-googling">1. Get good at Googling</h1>
<p>Being a programmer is all about learning how to search for the answers to your questions. By learning to Google things effectively, you’ll save a lot of development time.</p>
<h1 id="under-promise-and-over-deliver"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#2-under-promise-and-over-deliver"></a>2. Under promise and over deliver</h1>
<p>It’s better to let your team know a task will take three weeks and deliver in two than the other way around. By under promising and over delivering, you’ll build trust.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--XuAuxqWV--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/umrbnosn8g68nep19y21.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--XuAuxqWV--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/umrbnosn8g68nep19y21.png" alt="Designer" /></a></p>
<h1 id="be-nice-to-your-designers-theyre-your-friends"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#3-be-nice-to-your-designers-theyre-your-friends"></a>3. Be nice to your designers; they’re your friends</h1>
<p>Designers provide solutions to user pain points. Learn from them and work cohesively to build effective products.</p>
<h1 id="find-a-mentor"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#4-find-a-mentor"></a>4. Find a mentor</h1>
<p>Find someone you can learn from and bounce ideas off of. <a href="https://codingcoach.io/">Coding Coach</a> is a great place to get started if you need a technical mentor!</p>
<h1 id="be-a-mentor"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#5-be-a-mentor"></a>5. Be a mentor</h1>
<p>Be someone others can learn from and bounce ideas off of. We’d love to have you as a mentor over at <a href="https://codingcoach.io/">Coding Coach</a></p>
<h1 id="write-useful-comments"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#6-write-useful-comments"></a>6. Write useful comments</h1>
<p>Write comments which explain the “why” and not the “what”.</p>
<h1 id="name-variables-and-functions-appropriately"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#7-name-variables-and-functions-appropriately"></a>7. Name variables and functions appropriately</h1>
<p>Functions and variables should accurately denote their purpose, so <code>myCoolFunction</code> won’t fly.</p>
<h1 id="take-vacations"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#8-take-vacations"></a>8. Take vacations</h1>
<p>We all need time to de-compress. Take that trip you’ve been wanting. Your brain and your co-workers will thank you.</p>
<h1 id="delete-unused-code"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#9-delete-unused-code"></a>9. Delete unused code</h1>
<p>No reason to accrue more technical debt.</p>
<h1 id="learn-to-read-code"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#10-learn-to-read-code"></a>10. Learn to read code</h1>
<p>Reading code is an undervalued skill, but an invaluable one.</p>
<h1 id="establish-a-healthy-worklife-balance"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#11-establish-a-healthy-worklife-balance"></a>11. Establish a healthy work/life balance</h1>
<p>You need time to de-compress after a long workday. Shut off work notifications, remove apps off your phone.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--VqSUBCSo--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/fv2vh91wlhe9dh046mub.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--VqSUBCSo--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/fv2vh91wlhe9dh046mub.png" alt="Meeting" /></a></p>
<h1 id="only-schedule-necessary-meetings"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#12-only-schedule-necessary-meetings"></a>12. Only schedule necessary meetings</h1>
<p>Can it be solved in an email or a Slack message? If so, avoid a meeting. If not, be conscious of the duration. Aim for less.</p>
<h1 id="pair-program"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#13-pair-program"></a>13. Pair program</h1>
<p>Pair programming allows you to play the role of both teacher and student.</p>
<h1 id="write-great-emails"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#14-write-great-emails"></a>14. Write great emails</h1>
<p>Learn to capture your audience in your emails by being succinct yet clear. Nobody wants to read your four-page email Jerry.</p>
<h1 id="get-involved-in-the-community"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#15-get-involved-in-the-community"></a>15. Get involved in the community</h1>
<p>Surrounding yourself with like-minded people will motivate you to push through the lows.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--T7zjbX2p--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/gpvnfky8mmwakwy8eix1.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--T7zjbX2p--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/gpvnfky8mmwakwy8eix1.png" alt="Tree" /></a></p>
<h1 id="clean-up-your-branches"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#16-clean-up-your-branches"></a>16. Clean up your branches</h1>
<p>Clean up your version control branches like you’d clean your house before your in-laws came for a visit. If you don’t need it, discard it; don’t just throw it in the closet.</p>
<h1 id="dont-gate-keep"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#17-dont-gate-keep"></a>17. Don’t gate keep</h1>
<p>Be inclusive. Don’t tell others they aren’t good enough to be in the industry. Everyone has value.</p>
<h1 id="keep-learning"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#18-keep-learning"></a>18. Keep learning</h1>
<p>You’ve chosen a profession that requires continuous learning. Learn to love it.</p>
<h1 id="dont-give-up"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#19-dont-give-up"></a>19. Don’t give up</h1>
<p>It won’t always be easy. But we all started at the same place. You can do it.</p>
<h1 id="take-tasks-that-scare-you"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#20-take-tasks-that-scare-you"></a>20. Take tasks that scare you</h1>
<p>If it doesn’t scare you, it isn’t going to help you grow.</p>
<h1 id="clarify-requirements-before-starting"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#21-clarify-requirements-before-starting"></a>21. Clarify requirements before starting</h1>
<p>You should understand the acceptance criteria before delving into writing the code. It will save you time and pain later down the line.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--LXs3CSyq--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/iiagpq5fbypu8h9sggqn.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--LXs3CSyq--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/iiagpq5fbypu8h9sggqn.png" alt="React" /></a></p>
<h1 id="have-a-toolbox"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#22-have-a-toolbox"></a>22. Have a toolbox</h1>
<p>Have a set of tools which you know inside-and-out. Know which tools serve which purpose and when a project can benefit from using one over another.</p>
<h1 id="learn-to-love-constructive-criticism"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#23-learn-to-love-constructive-criticism"></a>23. Learn to love constructive criticism</h1>
<p>Ask trusted colleagues and friends for constructive criticism. It will help you grow as a programmer and as a human.</p>
<h1 id="be-open-minded"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#24-be-openminded"></a>24. Be open-minded</h1>
<p>Technology changes, and it changes quickly. Don’t oppose new technology; learn it and then form an opinion.</p>
<h1 id="stay-relevant"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#25-stay-relevant"></a>25. Stay relevant</h1>
<p>Stay up-to-date on the latest tech news by following publications, blogs, podcasts, and tech news.</p>
<h1 id="focus-on-problem-solving"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#26-focus-on-problem-solving"></a>26. Focus on problem solving</h1>
<p>Strong problem solving skills can conquer any problem. Hone in on what it takes to solve a problem.</p>
<h1 id="stay-humble"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#27-stay-humble"></a>27. Stay humble</h1>
<p>No matter what title you hold or what company you work form, stay humble.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--nhgfS-7z--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/3skzkor6amr46291uvtp.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--nhgfS-7z--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/3skzkor6amr46291uvtp.png" alt="Presentation" /></a></p>
<h1 id="learn-to-give-a-great-presentation"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#28-learn-to-give-a-great-presentation"></a>28. Learn to give a great presentation</h1>
<p>Learn how to captivate your audience and give effective presentations.</p>
<h1 id="examine-all-solutions-before-jumping-in"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#29-examine-all-solutions-before-jumping-in"></a>29. Examine all solutions before jumping in</h1>
<p>Don’t jump straight into the first possible solution. Examine all paths before delving into the code.</p>
<h1 id="find-your-niche"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#30-find-your-niche"></a>30. Find your niche</h1>
<p>There are many divisions within the tech industry. Find the area that interests you most and become an expert.</p>
<h1 id="develop-good-habits"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#31-develop-good-habits"></a>31. Develop good habits</h1>
<p>Try to build consistent, and healthy, habits such as removing distractions, time-boxing tasks, being present in meetings, and starting with the most important task first. It might take some getting used to but it will be worth it in the long-run.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--zD_K7d71--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/scn44lf4b9moiyp1teei.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--zD_K7d71--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/scn44lf4b9moiyp1teei.png" alt="Debug" /></a></p>
<h1 id="learn-to-debug"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#32-learn-to-debug"></a>32. Learn to debug</h1>
<p>Explore the browser debugger tools. Learn the ins-and-outs of debugging with your IDE. By learning the most effective methods for debugging a problem and tracing errors, you’ll be able to solve even the most difficult bugs.</p>
<h1 id="exercise-your-current-skills"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#33-exercise-your-current-skills"></a>33. Exercise your current skills</h1>
<p>Just because you currently know a skill doesn’t mean you shouldn’t exercise it. Skills fade with time unless consciously improved upon, and this industry evolves so rapidly it’s important to keep practicing. Get out of the mindset that “I’ve always done it this way” and into the mindset of “Is there a better way to do this?”</p>
<p>Just because you’ve got a six pack now, doesn’t mean you can eat a 🍩 a day and stay that way.</p>
<h1 id="understand-the-why"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#34-understand-the-why"></a>34. Understand the why</h1>
<p>There will be times when you have to voice your opinion, so it’s important to understand the why behind it. Why is solution A better than solution B? Provide a valid argument and your opinions will be much more sound.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--3rau99gs--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/bwftxcf9uigytg4bgfxm.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--3rau99gs--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/bwftxcf9uigytg4bgfxm.png" alt="Money" /></a></p>
<h1 id="know-your-worth"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#35-know-your-worth"></a>35. Know your worth</h1>
<p>You are a commodity, and should be paid appropriately. Be aware of the industry averages in your geographic location. If you’re making less money, it’s time to have a chat with your manager. Go after what you deserve.</p>
<h1 id="dont-be-afraid-to-ask-for-help"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#36-dont-be-afraid-to-ask-for-help"></a>36. Don’t be afraid to ask for help</h1>
<p>If you’re stuck on a problem and spending too much time searching for a solution, it’s time to ask for help. We’re all human. We all need help. There is no shame in reaching out to a colleague for support.</p>
<h1 id="learn-to-learn"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#37-learn-to-learn"></a>37. Learn to learn</h1>
<p>People learn in different ways. Some learn best through video tutorials, others through reading a book. Figure out your learning style and practice it diligently.</p>
<h1 id="be-kind"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#38-be-kind"></a>38. Be kind</h1>
<p>There will be times when you’re asked to provide feedback on a colleague. Be kind. You can voice your opinions about Deborah’s lack of initiative without ripping her to shreds.</p>
<h1 id="take-breaks"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#39-take-breaks"></a>39. Take breaks</h1>
<p>It’s nearly impossible to spend 8 consecutive hours coding. You’ll burn out quickly and make a lot of mistakes. So set a timer to remind yourself to stop and take a break. Go for a walk. Get a coffee with a colleague. Stepping away from the screen will positively impact your productivity and the quality of your work.</p>
<h1 id="track-your-progress"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#40-track-your-progress"></a>40. Track your progress</h1>
<p>Learning to code takes time and can be extremely disheartening when you don’t see progress. So it’s important to track your achievements and progress towards your goals. Keep a small list next to your computer and each time you achieve something, write it down, no matter how small. Atomic achievements compound to much larger rewards.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--97NnU31z--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/iu5gfm3zns37g763quxt.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--97NnU31z--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/iu5gfm3zns37g763quxt.png" alt="React" /></a></p>
<h1 id="dont-rely-on-a-framework-or-library"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#41-dont-rely-on-a-framework-or-library"></a>41. Don’t rely on a framework or library</h1>
<p>Learn the nuances of a language better than the ins-and-outs of a framework or library. You don’t necessarily need to learn one before another, but understanding why a framework or library works the way it does will help you write cleaner and more performant code.</p>
<h1 id="learn-to-love-code-reviews"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#42-learn-to-love-code-reviews"></a>42. Learn to love code reviews</h1>
<p>Having someone read and analyze your code can be terrifying, but can offer you invaluable feedback which will make you a better programmer. You should also work on your ability to conduct a good code review.</p>
<h1 id="learn-about-tangential-spaces"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#43-learn-about-tangential-spaces"></a>43. Learn about tangential spaces</h1>
<p>Learn some basics about tangential spaces, such as design, marketing, frontend development or backend development. It will help you to become a more well-rounded programmer.</p>
<h1 id="dont-choose-the-comfortable-technology-choose-the-right-one"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#44-dont-choose-the-comfortable-technology-choose-the-right-one"></a>44. Don’t choose the comfortable technology; choose the right one</h1>
<p>Each project will have different needs, and as such we must choose the right tools for the job. Although it’s comfortable to choose technologies you’ve worked with previously, if they don’t suit the needs of the project, alternatives should be explored.</p>
<h1 id="take-responsibility-for-your-mistakes"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#45-take-responsibility-for-your-mistakes"></a>45. Take responsibility for your mistakes</h1>
<p>All humans make mistakes and you will many many throughout your career. Thus it’s important to own up and take responsibility when you’ve made a mistake. It will build trust with your team members and management.</p>
<h1 id="review-your-own-code"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#46-review-your-own-code"></a>46. Review your own code</h1>
<p>Before opening a pull request, review your own code. If this were the work of a colleague, what comments would you make? It’s important to first try to diagnose problems or mistakes before requesting a code review.</p>
<h1 id="learn-from-your-failures"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#47-learn-from-your-failures"></a>47. Learn from your failures</h1>
<p>Failure is simply not achieving the expected outcome, and is not necessarily a bad thing. We all have many failures during the course of our careers. Learn from your downfalls. What can you do differently next time?</p>
<h1 id="recognize-your-weaknesses"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#48-recognize-your-weaknesses"></a>48. Recognize your weaknesses</h1>
<p>Get to know yourself. What are your weaknesses? Maybe you always forget to update the tests before pushing. Or maybe you are really bad at replying to emails. Learn your weaknesses so you can actively work to address them.</p>
<h1 id="stay-curious"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#49-stay-curious"></a>49. Stay curious</h1>
<p>This industry is ever-evolving, so curiosity will be important. If you don’t understand something, be it a project requirement or a line of code, speak up. Nobody will criticize you for asking for clarification and you’ll create better code as a result.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--ypw1fzcI--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/qzhic8yqs0pu28bo78lf.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--ypw1fzcI--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/qzhic8yqs0pu28bo78lf.png" alt="Book" /></a></p>
<h1 id="dont-try-to-learn-everything"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#50-dont-try-to-learn-everything"></a>50. Don’t try to learn everything</h1>
<p>There is an infinity pool of knowledge in the world and it is simply impossible to conquer it all. Pick several topics to master and leave the rest be. You can acquire working or tangential knowledge about other areas, but you cannot possibly master everything.</p>
<h1 id="kill-your-darlings"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#51-kill-your-darlings"></a>51. Kill your darlings</h1>
<p>Just because you write some code doesn’t mean you need t be emotionally attached to it. Nobody likes their work being thrown out, but code has a life cycle, so there’s no need to be territorial about it.</p>
<h1 id="have-your-teams-back"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#52-have-your-teams-back"></a>52. Have your team’s back</h1>
<p>Good teams have each others’ backs. This creates a safe space to try new things without fear of retribution.</p>
<h1 id="find-inspiration-in-the-community"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#53-find-inspiration-in-the-community"></a>53. Find inspiration in the community</h1>
<p>Find a few people in the industry you admire. It will inspire you to keep working on your projects or try new things.</p>
<h1 id="value-your-work"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#54-value-your-work"></a>54. Value your work</h1>
<p>Regardless of how much experience you have or what your job title is, your work has value. Give it the value it deserves.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--QyhOZjHL--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/9gg3o6rl7retjl9n90ku.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--QyhOZjHL--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/9gg3o6rl7retjl9n90ku.png" alt="Phone" /></a></p>
<h1 id="disable-distractions"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#55-disable-distractions"></a>55. Disable distractions</h1>
<p>Turning off Slack notifications, text messages, emails, and social media will help you focus and maximize your workday.Jerry won’t fall apart if it takes you 30 minutes to respond to his message.</p>
<h1 id="be-supportive"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#56-be-supportive"></a>56. Be supportive</h1>
<p>Try and support your team members whether that’s by attending an important presentation or helping them if they get stuck.</p>
<h1 id="give-credit-where-credit-is-due"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#57-give-credit-where-credit-is-due"></a>57. Give credit where credit is due</h1>
<p>If someone does great work, tell them. Positive re-enforcement is a great way to build trust with your team members and help their careers. They’ll be more likely to help you along as well.</p>
<h1 id="test-your-code"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#58-test-your-code"></a>58. Test your code</h1>
<p>Tests are important. Unit tests, regression tests, integration tests, end-to-end tests. Test your code and your product will be much more stable.</p>
<h1 id="plan-out-your-approach"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#59-plan-out-your-approach"></a>59. Plan out your approach</h1>
<p>When you receive a new feature request or get a new bug ticket, first plan your attack. What do you need to solve this problem or develop this feature? Taking even just a few minutes to plan your attack can save you hours of frustration.</p>
<h1 id="learn-to-pseudocode"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#60-learn-to-pseudocode"></a>60. Learn to pseudocode</h1>
<p>Pseudocoding is a great skill to have because it allows you to think through complex problems without wasting time writing lines of code. Write an approach down on paper, run through different test cases and see where the pitfalls are.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--uQ2UJkJY--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/6l0lkgxbxz60sbsa3o59.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--uQ2UJkJY--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/6l0lkgxbxz60sbsa3o59.png" alt="Win" /></a></p>
<h1 id="keep-track-of-your-achievements"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#61-keep-track-of-your-achievements"></a>61. Keep track of your achievements</h1>
<p>If you win an award at work, write it down. If you develop a crucial feature, write it down. You’ll create a backlog of things which can aid with a promotion or boost your morale on a tough day.</p>
<h1 id="learn-programming-foundations"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#62-learn-programming-foundations"></a>62. Learn programming foundations</h1>
<p>Learn some basic sorting and searching algorithms and data structures. These are language-agnostic and can help you solve problems across languages.</p>
<h1 id="choose-technology-for-longevity-maintainability"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#63-choose-technology-for-longevity-amp-maintainability"></a>63. Choose technology for longevity &amp; maintainability</h1>
<p>Although it’s fun to test out the newest technologies, pick those which will be easy to maintain within an enterprise application. Your team will thank you for years to come.</p>
<h1 id="learn-design-patterns"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#64-learn-design-patterns"></a>64. Learn design patterns</h1>
<p>Design patterns are useful tools for architecting code. You may not need them for every project, but having a basic understanding of them will help scaffold out larger applications.</p>
<h1 id="reduce-ambiguity"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#65-reduce-ambiguity"></a>65. Reduce ambiguity</h1>
<p>Instead of writing convoluted code which shows off your snazzy programming skills, aim for readability and simplicity. This will make it easier for your team members to contribute.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--fX3cKq9j--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/6rg8pvj8ezhreshjjx6o.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--fX3cKq9j--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/6rg8pvj8ezhreshjjx6o.png" alt="Debt" /></a></p>
<h1 id="pay-off-technical-debt"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#66-pay-off-technical-debt"></a>66. Pay off technical debt</h1>
<p>Technical debt can have massive performance implications, so if you’re able to refactor, you should.</p>
<h1 id="ship-often"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#67-ship-often"></a>67. Ship often</h1>
<p>Instead of shipping a massive upgrade once every month, ship more frequently with smaller changelogs. You’re less likely to introduce bugs and breaking changes.</p>
<h1 id="commit-early-and-often"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#68-commit-early-and-often"></a>68. Commit early and often</h1>
<p>Committing early and committing often is the best way to ensure that your work remains clean and also reduces the stress of accidentally reverting important changes.</p>
<h1 id="learn-when-to-ask-for-help"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#69-learn-when-to-ask-for-help"></a>69. Learn when to ask for help</h1>
<p>Not only should you not be afraid to ask for help, but you should learn when to ask for help. You should always try to solve a problem before asking for help, and keep track of the things you try. But when you’ve been stumped by a simple problem for over an hour, the cost outweighs the benefit, and you should reach out to a colleague.</p>
<h1 id="ask-effective-questions"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#70-ask-effective-questions"></a>70. Ask effective questions</h1>
<p>When asking a question, try to be as specific as possible.</p>
<h1 id="get-feedback-on-unfinished-work"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#71-get-feedback-on-unfinished-work"></a>71. Get feedback on unfinished work</h1>
<p>Your work doesn’t need to be finished for you to get feedback. If you’re uncertain of the direction, ask a trusted colleague to review the validity of your solution.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--ajqLQ2p0--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/pizzzb8twdan6231fdjq.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--ajqLQ2p0--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/pizzzb8twdan6231fdjq.png" alt="Read" /></a></p>
<h1 id="read-documentation"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#72-read-documentation"></a>72. Read documentation</h1>
<p>Documentation is the purest source of truth about a technology, so learning to read it can quickly help you to become an expert.</p>
<h1 id="try-all-the-things"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#73-try-all-the-things"></a>73. Try all the things</h1>
<p>Nothing is stopping you from trying a solution to a problem. What do you have to lose?</p>
<h1 id="speak-up-in-meetings"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#74-speak-up-in-meetings"></a>74. Speak up in meetings</h1>
<p>Your ideas and opinions are valuable so participating in meetings will help you develop a rapport with your team as well as management.</p>
<h1 id="collaborate-cross-team"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#75-collaborate-crossteam"></a>75. Collaborate cross-team</h1>
<p>If you get an opportunity to with with another team in your company, go for it.</p>
<h1 id="have-passion-projects"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#76-have-passion-projects"></a>76. Have passion projects</h1>
<p>When you work 40 hours a week, it’s important to take time for passion projects. They help you reinvigorate your love of programming and try new technologies you might not have access to at work.</p>
<h1 id="define-your-career-goals"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#77-define-your-career-goals"></a>77. Define your career goals</h1>
<p>It’s important to have an idea of your ideal trajectory for your career. If you don’t, you’re trying to shoot an arrow without having a target.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--SPitWbzG--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/fjqq1ghzpz4qqcjhoew6.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--SPitWbzG--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/fjqq1ghzpz4qqcjhoew6.png" alt="Talk" /></a></p>
<h1 id="get-involved-in-the-conversation"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#78-get-involved-in-the-conversation"></a>78. Get involved in the conversation</h1>
<p>Comment on blogs, participate in Twitter threads. Engage with the community. You’ll learn a lot more from being an active bystander than a wallflower.</p>
<h1 id="prioritize-tasks"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#79-prioritize-tasks"></a>79. Prioritize tasks</h1>
<p>Learning to prioritize your tasks will help you enhance your productivity. Keep an active to-do list of immediate daily tasks as well as longer-term tasks and order them by most important.</p>
<h1 id="dont-overlook-the-details"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#80-dont-overlook-the-details"></a>80. Don’t overlook the details</h1>
<p>Details can make a big difference in a project.</p>
<h1 id="trust-your-teammates"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#81-trust-your-teammates"></a>81. Trust your teammates</h1>
<p>Your teammates were hired for their skills. Use them and trust them to get the job done.</p>
<h1 id="learn-to-delegate"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#82-learn-to-delegate"></a>82. Learn to delegate</h1>
<p>If you’re in a leadership position, learn how to delegate effectively. It will save you time and frustration. You cannot do it all.</p>
<h1 id="dont-compare-yourself-to-others"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#83-dont-compare-yourself-to-others"></a>83. Don’t compare yourself to others</h1>
<p>The only thing you should compare yourself to is who you were yesterday.</p>
<h1 id="surround-yourself-with-allies"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#84-surround-yourself-with-allies"></a>84. Surround yourself with allies</h1>
<p>Learning to program will be a long, and not always easy, journey. Surround yourself with the people who build you up and encourage you to keep going.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s---Cgcxmny--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/84lhizall1hn9flgvudv.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s---Cgcxmny--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/84lhizall1hn9flgvudv.png" alt="Build" /></a></p>
<h1 id="dont-start-for-scale"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#85-dont-start-for-scale"></a>85. Don’t start for scale</h1>
<p>Starting for scale is a surefire way to become overwhelmed. Build with scalability in mind, but don’t start scaling until you need it. This way you don’t overwhelm your team with unnecessary bloat, but you maintain the ability to grow.</p>
<h1 id="weigh-performance-implications"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#86-weigh-performance-implications"></a>86. Weigh performance implications</h1>
<p>If you want to use a cool, new technology you should weigh the performance implications of doing so. Could you implement something similar without taking a performance hit? If so, you may want to re-think your approach.</p>
<h1 id="dont-discriminate"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#87-dont-discriminate"></a>87. Don’t discriminate</h1>
<p>Don’t discriminate against new technologies or ideas. Be open-minded about the possibility of learning new skills. Also don’t discriminate against people. We all deserve respect.</p>
<h1 id="apply-for-jobs-you-arent-qualified-for"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#88-apply-for-jobs-you-arent-qualified-for"></a>88. Apply for jobs you aren’t qualified for</h1>
<p>You will never meet every requirement for a job. So take a chance and apply! What do you have to lose?</p>
<h1 id="modularize-your-code"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#89-modularize-your-code"></a>89. Modularize your code</h1>
<p>You could write all of your code in one long file, but this isn’t maintainable. By modularizing, we ensure that our code is easily digestible and testable.</p>
<h1 id="dont-just-copy-and-paste"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#90-dont-just-copy-and-paste"></a>90. Don’t JUST copy and paste</h1>
<p>If you’re going to copy and paste a solution from Stack Overflow, you should understand <em>exactly</em> what it does. Be intentional about the code you choose to introduce.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--YyPmerE5--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/uts4vd8ab10x8oct7fwb.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--YyPmerE5--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/uts4vd8ab10x8oct7fwb.png" alt="Coding" /></a></p>
<h1 id="create-an-inspiring-environmentsetup"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#91-create-an-inspiring-environmentsetup"></a>91. Create an inspiring environment/setup</h1>
<p>You’ll be much more motivated to work if you enjoy your workspace and technical setup. Make it you.</p>
<h1 id="remember-where-you-came-from"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#92-remember-where-you-came-from"></a>92. Remember where you came from</h1>
<p>We all started from the same place. As your skills and your job titles evolve, don’t forget where you came from.</p>
<h1 id="try-to-remain-optimistic"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#93-try-to-remain-optimistic"></a>93. Try to remain optimistic</h1>
<p>If something goes wrong, try and be optimistic. Tomorrow is a new day. Optimism will help your team dynamic and your mental health.</p>
<h1 id="continually-re-assess-your-workflow"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#94-continually-reassess-your-workflow"></a>94. Continually re-assess your workflow</h1>
<p>Just because something works now doesn’t mean it always will. Re-evaluate your workflow and make adjustments where necessary.</p>
<h1 id="learn-how-to-work-from-home"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#95-learn-how-to-work-from-home"></a>95. Learn how to work from home</h1>
<p>If you have the ability to work from home, learn to do so effectively. Find a separate office space, devoid of distractions. <a href="https://dev.to/boneskull/pro-tips-for-devs-working-at-home-3b63">Boneskull</a> wrote a great article on working from home you should check out.</p>
<p><a href="https://res.cloudinary.com/practicaldev/image/fetch/s--Y-0GPXeE--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/a45rv6rwqin3pzs3ztoo.png"><img src="https://res.cloudinary.com/practicaldev/image/fetch/s--Y-0GPXeE--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/a45rv6rwqin3pzs3ztoo.png" alt="Accessibility" /></a></p>
<h1 id="code-for-accessibility"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#96-code-for-accessibility"></a>96. Code for accessibility</h1>
<p>Accessibility isn’t an afterthought, and it doesn’t have to be difficult. Everyone should be able to use your products.</p>
<h1 id="honor-your-commitments"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#97-honor-your-commitments"></a>97. Honor your commitments</h1>
<p>If you tell someone you’ll deliver something by a certain date, honor that commitment. And if you can no longer make the deadline, speak up early.</p>
<h1 id="be-proactive"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#98-be-proactive"></a>98. Be proactive</h1>
<p>If you have some extra bandwidth, find a task to help your team! They’ll be thankful you were proactive.</p>
<h1 id="build-an-amazing-portfolio"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#99-build-an-amazing-portfolio"></a>99. Build an amazing portfolio</h1>
<p>A great portfolio sets you apart from the crowd. Use this as a chance to show off your programming and design skills!</p>
<h1 id="remember-why-you-love-programming"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#100-remember-why-you-love-programming"></a>100. Remember why you love programming</h1>
<p>You got into this profession because it sparked an interest. If you’re getting frustrated and resentful, take a break. Give yourself space to reignite your passion for programming.</p>
<h1 id="share-your-knowledge"><a href="https://dev.to/emmabostian/101-tips-for-being-a-great-programmer-human-36nl#101-share-your-knowledge"></a>101 Share your knowledge</h1>
<p>If you learn something cool, share it! Present at a local meetup or conference. Teach your coworker or mentee during lunch. Sharing your knowledge reinforces your knowledge while spreading the wealth.</p>
</body>
</html>
